## matplotlib 2.2.2

=== debian/changelog ===
matplotlib (2.2.2-4ubuntu1) disco; urgency=medium

  * Bump debhelper to 9.
  * Fix stripping the packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Nov 2018 10:20:47 +0100

matplotlib (2.2.2-4build2) disco; urgency=medium

  * No-change rebuild to build without python3.6 support.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Nov 2018 11:51:32 +0000

matplotlib (2.2.2-4build1) cosmic; urgency=medium

  * No-change rebuild to build for python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 28 Jun 2018 11:39:50 +0000

matplotlib (2.2.2-4) unstable; urgency=medium

  * debian/control
    - exclude some of the b-d on archs where they are not available; thanks to
      Graham Inggs

 -- Sandro Tosi <morph@debian.org>  Sun, 27 May 2018 18:20:55 -0400

matplotlib (2.2.2-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/control: Remove ancient X-Python3-Version field

  [ Sandro Tosi ]
  * debian/control
    - add kiwisolver -dbg packages to b-d, needed by tests
    - dont install pandas as b-d in armhf; Closes: #898873
  * debian/patches/0012-dont-generate-a-test-failure-if-images-are-not-close.patch
    - print a warning and not fail the test if the image is not close to the
      matplotlib baseline

 -- Sandro Tosi <morph@debian.org>  Thu, 17 May 2018 20:44:51 -0400

matplotlib (2.2.2-2) unstable; urgency=medium

  * debian/control
    - make -dbg packages depend on kiwisolver -dbg packages; Closes: #895763

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Apr 2018 18:34:49 -0400

matplotlib (2.2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove XS-Testsuite field, not needed anymore

  [ Sandro Tosi ]
  * New upstream release
    - requires.txt are now generated empty automagically; Closes: #889151
  * debian/control
    - add ipywidgets to b-d, needed by doc
    - add kiwisolver to b-d, new dependency
    - bump Standards-Version to 4.1.4 (no changes needed)
    - re-enable pandas b-d
  * refresh patches
  * debian/patches/0011-remove-distutils.sysconfig.patch
    - dont import distutils.sysconfig in matplotlib, as it's meant to be used
      for building packages, not in a top-level module; Closes: #894502
  * debian/rules
    - make doc via Makefile
    - set --no-parallel
  * debian/README.debian
    - update to mention GTK backend is no longer available; Closes: #889137

 -- Sandro Tosi <morph@debian.org>  Sat, 14 Apr 2018 17:11:41 -0400
