## matplotlib 3.0.2

=== debian/changelog ===
matplotlib (3.0.2-2) unstable; urgency=medium

  * upload to unstable
  * debian/control
    - add Breaks+Replaces on python-matplotlib-dbg; Closes: #916140

 -- Sandro Tosi <morph@debian.org>  Thu, 20 Dec 2018 19:00:46 -0500

matplotlib (3.0.2-1) experimental; urgency=medium

  * New upstream release
  * drop python2 packages; src:matplotlib will track upstream 3.x releases,
    which are only py3k-compatibles
  * debian/watch
    - only track 3.x releases
  * debian/control
    - remove dep on python-tz, no longer required upstream
  * debian/rules
    - use right variable to loop over py3k interpreters in clean target
    - select py3k default version
    - dont run dh_numpy, this is a py3k-only package now
  * debian/patches
    - remove merged upstream, refresh patches
  * debian/patches/0014-py3k-sphinx.patch
    - build doc with py3k sphinx
  * debian/control
    - add numpydoc to b-d, needed by doc
  * debian/patches/0015-disable-sphinx--W.patch
    - disable -W option when running sphinx
  * debian/python-matplotlib-data.install
    - remove lineprops.glade, delete upstream

 -- Sandro Tosi <morph@debian.org>  Sun, 09 Dec 2018 23:11:16 -0500

matplotlib (2.2.3-2) unstable; urgency=medium

  * debian/rules
    - more rework to install the modules files in the right locations;
      Closes: #915430

 -- Sandro Tosi <morph@debian.org>  Tue, 04 Dec 2018 19:21:13 -0500

matplotlib (2.2.3-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - remove armhf and riscv64 from pandas restrictions in b-d; Closes: #902244
    - bump Standards-Version to 4.2.1 (no changes needed)
  * debian/patches/*
    - refresh, drop
  * debian/patches/0013-static-SHA.patch
    - define a static (None) SHA value, so not to require git and and actual git
      repository during build
  * debian/rules
    - partial rewrite to avoid implicit parallelism and FTBFS due to multiple
      targets overwriting/removing files in parallel
    - remove compiled python files

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Dec 2018 23:10:15 -0500
