=== debian/control ===
Source: matplotlib
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7),
               dh-python,
               dvipng,
               ghostscript,
               graphviz,
               inkscape [!kfreebsd-amd64],
               ipython,
               libfreetype6-dev,
               libpng-dev,
               locales-all,
               python3-all-dbg,
               python3-all-dev,
               python3-cycler (>= 0.10.0),
               python3-dateutil,
               python3-colorspacious,
               python3-cairocffi [!ia64],
               python3-cxx-dev,
               python3-gi,
               python3-ipywidgets,
               python3-kiwisolver,
               python3-kiwisolver-dbg,
               python3-mock,
               python3-mpltoolkits.basemap <!stage1>,
               python3-nose,
               python3-numpy,
               python3-numpy-dbg,
               python3-numpydoc,
               python3-pandas [!hppa !m68k !powerpcspe !sparc64 !sh4 !x32],
               python3-pil,
               python3-pkg-resources,
               python3-pyparsing (>= 1.5.6),
               python3-pytest,
               python3-pyqt4,
               python3-pyqt5 [!hurd-i386],
               python3-setuptools,
               python3-six (>= 1.4),
               python3-sphinx (>= 1.0.7+dfsg),
               python3-sphinx-gallery,
               python3-tk,
               python3-tk-dbg,
               python3-tornado,
               tcl8.6-dev,
               texlive-fonts-recommended,
               texlive-latex-extra,
               texlive-latex-recommended,
               tk8.6-dev,
               xauth,
               xvfb,
               zlib1g-dev
XS-Python-Version: all
Standards-Version: 4.2.1
Homepage: http://matplotlib.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/matplotlib.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/matplotlib

Package: python3-matplotlib
Architecture: any
Depends: python3-dateutil,
         python-matplotlib-data (>= ${source:Version}),
         python3-pyparsing (>= 1.5.6),
         python3-six (>= 1.4),
         libjs-jquery,
         libjs-jquery-ui,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Recommends: python3-pil,
            python3-tk
Enhances: ipython3
Suggests: dvipng,
          ffmpeg,
          gir1.2-gtk-3.0,
          ghostscript,
          inkscape,
          ipython3,
          librsvg2-common,
          python-matplotlib-doc,
          python3-cairocffi,
          python3-gi,
          python3-gi-cairo,
          python3-gobject,
          python3-nose,
          python3-pyqt4,
          python3-scipy,
          python3-sip,
          python3-tornado,
          texlive-extra-utils,
          texlive-latex-extra,
          ttf-staypuft
Description: Python based plotting system in a style similar to Matlab (Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the Python 3 version of matplotlib.

Package: python-matplotlib-data
Architecture: all
Depends: fonts-lyx, ${misc:Depends}, ttf-bitstream-vera
Description: Python based plotting system (data package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains architecture independent data for python-matplotlib.

Package: python-matplotlib-doc
Architecture: all
Section: doc
Depends: libjs-jquery, ${misc:Depends}
Description: Python based plotting system (documentation package)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains documentation for python-matplotlib.

Package: python3-matplotlib-dbg
Architecture: any
Section: debug
Depends: python3-all-dbg,
         python3-matplotlib (= ${binary:Version}),
         python3-kiwisolver-dbg,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: python-matplotlib-dbg (<< 2.2.3-3)
Replaces: python-matplotlib-dbg (<< 2.2.3-3)
Description: Python based plotting system (debug extension, Python 3)
 Matplotlib is a pure Python plotting library designed to bring
 publication quality plotting to Python with a syntax familiar to
 Matlab users. All of the plotting commands in the pylab interface can
 be accessed either via a functional interface familiar to Matlab
 users or an object oriented interface familiar to Python users.
 .
 This package contains the debug extension for python3-matplotlib.
