=== debian/changelog ===
matplotlib (3.1.2-1ubuntu4) focal; urgency=medium

  [ Sandro Tosi ]
  * debian/control
    - replace `ipython` with `python3-ipython`: mpl requires
      ipython_console_highlighting to build its doc, which is now in the latter
      package (LP: #1872596)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Apr 2020 00:04:39 -0400

matplotlib (3.1.2-1ubuntu3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:44:16 +0100

matplotlib (3.1.2-1ubuntu2) focal; urgency=medium

  * Disabled the wxagg autopkg test, python3-wxgtk3.0 is removed.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2020 15:51:32 +0100

matplotlib (3.1.2-1ubuntu1) focal; urgency=medium

  * Ignore errors building the docs.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 12 Feb 2020 07:40:43 +0100

matplotlib (3.1.2-1) unstable; urgency=medium

  * New upstream release; Closes: #945169
  * debian/copyright
    - update copyright for new upstream release
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.4.1 (no changes needed)
    - drop Qt4 from depends; Closes: #941527
    - add sphinx-copybutton to b-d, needed by doc
  * debian/tests/
    - drop python2 tests and test Qt5 instead of Qt4; Closes: #943169
  * debian/patches/
    - refresh/drop patches as per new upstream code
  * debian/rules
    - error out in case of a failure during build or install targets; patch by
      Matthias Klose; Closes: #942766
    - skip tests!! temporary measure due to
      https://github.com/matplotlib/matplotlib/issues/15960
  * debian/patches/0016-use-packaged-jquery.patch
    - use the packaged JQuery and JQuery UI

 -- Sandro Tosi <morph@debian.org>  Sat, 21 Dec 2019 21:56:14 -0500
