=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
                ghostscript,
                graphviz,
                inkscape [!kfreebsd-amd64],
-               ipython,
                libfreetype6-dev,
                libpng-dev,
                locales-all,
@@ -21,6 +20,7 @@
                python3-cairocffi [!ia64],
                python3-cxx-dev,
                python3-gi,
+               python3-ipython <!nodoc>,
                python3-ipywidgets,
                python3-kiwisolver,
                python3-kiwisolver-dbg,
@@ -35,11 +35,11 @@
                python3-pkg-resources,
                python3-pyparsing (>= 1.5.6),
                python3-pytest,
-               python3-pyqt4,
                python3-pyqt5 [!hurd-i386],
                python3-setuptools,
                python3-six (>= 1.4),
                python3-sphinx (>= 1.0.7+dfsg),
+               python3-sphinx-copybutton,
                python3-sphinx-gallery,
                python3-tk,
                python3-tk-dbg,
@@ -53,7 +53,7 @@
                xvfb,
                zlib1g-dev
 XS-Python-Version: all
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
 Homepage: http://matplotlib.org/
 Vcs-Git: https://salsa.debian.org/python-team/modules/matplotlib.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/matplotlib
@@ -85,7 +85,7 @@
           python3-gi-cairo,
           python3-gobject,
           python3-nose,
-          python3-pyqt4,
+          python3-pyqt5,
           python3-scipy,
           python3-sip,
           python3-tornado,
